# autogenerated by /usr/local/libexec/make-cpan-dist.pl on Mon Jul 11 13:23:11 2022

use strict;
use warnings;

use ExtUtils::MakeMaker;
use File::ShareDir::Install;

if ( -d 'share' ) {
  install_share 'share';
}

WriteMakefile(
  NAME             => 'Amazon::API',
  MIN_PERL_VERSION => 5.010,
  AUTHOR           => 'Rob Lauer <rlauer6@comcast.net>',
  VERSION_FROM     => 'lib/Amazon/API.pm',
  ABSTRACT         => 'AWS API base class',
  LICENSE          => 'perl',
  PL_FILES         => {},
  EXE_FILES        => [],
  PREREQ_PM        => {
    'AWS::Signature4'       => '1.02',
    'Amazon::Credentials'   => '0',
    'Carp'                  => '1.26',
    'Class::Accessor'       => '0.31',
    'Class::Accessor::Fast' => '0.31',
    'Data::Dumper'          => '2.145',
    'Date::Format'          => '2.24',
    'English'               => '1.05',
    'Exporter'              => '5.68',
    'Fcntl'                 => '1.11',
    'File::Find'            => '1.20',
    'Getopt::Long'          => '2.4',
    'HTTP::Request'         => '6.00',
    'JSON::PP'              => '4.07',
    'LWP::UserAgent'        => '6.36',
    'List::MoreUtils'       => '0.33',
    'List::Util'            => '1.5',
    'Perl::Tidy'            => '20220217',
    'Pod::Find'             => '0',
    'Pod::HTML2Pod'         => '4.05',
    'ReadonlyX'             => '1.04',
    'Scalar::Util'          => '1.5',
    'Time::Local'           => '1.2300',
    'XML::LibXML::Simple'   => '1.01'
  },
  BUILD_REQUIRES => {
    'ExtUtils::MakeMaker'     => 0,
    'File::ShareDir::Install' => 0,
  },
  CONFIGURE_REQUIRES => {
    'ExtUtils::MakeMaker'     => 0,
    'File::ShareDir::Install' => 0,
  },
  TEST_REQUIRES => {
    'Amazon::API'             => '1.3.4',
    'Amazon::API::Signature4' => '1.3.4',
    'Data::Dumper'            => '2.174_01',
    'Test::More'              => '1.302190',
    'charnames'               => '1.48',
    'strict'                  => '1.11',
    'warnings'                => '1.47'
  },
  META_MERGE => {
    'meta-spec' => { 'version' => 2 },
    'provides'  => {
      'Amazon::API' => {
        'file'    => 'lib/Amazon/API.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::Botocore' => {
        'file'    => 'lib/Amazon/API/Botocore.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::Botocore::Pod' => {
        'file'    => 'lib/Amazon/API/Botocore/Pod.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::CloudWatchLogs' => {
        'file'    => 'lib/Amazon/API/CloudWatchLogs.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::Constants' => {
        'file'    => 'lib/Amazon/API/Constants.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::EC2' => {
        'file'    => 'lib/Amazon/API/EC2.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::ECR' => {
        'file'    => 'lib/Amazon/API/ECR.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::ECS' => {
        'file'    => 'lib/Amazon/API/ECS.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::Error' => {
        'file'    => 'lib/Amazon/API/Error.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::SQS' => {
        'file'    => 'lib/Amazon/API/SQS.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::SSM' => {
        'file'    => 'lib/Amazon/API/SSM.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::STS' => {
        'file'    => 'lib/Amazon/API/STS.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::SecretsManager' => {
        'file'    => 'lib/Amazon/API/SecretsManager.pm',
        'version' => '1.3.4'
      },
      'Amazon::API::Signature4' => {
        'file'    => 'lib/Amazon/API/Signature4.pm',
        'version' => '1.3.4'
      }
    },
    'resources' => {
      'bugtracker' => {
        'mailto' => 'rlauer6@comcast.net',
        'web'    => 'http://github.com/rlauer6/perl-Amazon-API/issues'
      },
      'homepage'   => 'http://github.com/rlauer6/perl-Amazon-API',
      'repository' => {
        'type' => 'git',
        'url'  => 'git://github.com/rlauer6/perl-Amazon-API.git',
        'web'  => 'http://github.com/rlauer6/perl-Amazon-API'
      }
    }
  }

);

package MY;

use File::ShareDir::Install qw( postamble );

